# Uses of Class
org.apache.sysds.runtime.controlprogram.parfor.ParForBody

Packages that use ParForBody
Package
Description
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.util

## Uses of ParForBody in org.apache.sysds.runtime.controlprogram.parfor

Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type ParForBody
Modifier
Constructor
Description
``
`LocalParWorker(long ID, LocalTaskQueue<Task> q, ParForBody body, CompilerConfig cconf, int max_retry)`
``
`ParWorker(long ID, ParForBody body)`

## Uses of ParForBody in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return ParForBody
Modifier and Type
Method
Description
`static ParForBody`
ProgramConverter.`parseParForBody(String in, int id)`
`static ParForBody`
ProgramConverter.`parseParForBody(String in, int id, boolean inSpark)`
Methods in org.apache.sysds.runtime.util with parameters of type ParForBody
Modifier and Type
Method
Description
`static String`
ProgramConverter.`serializeParForBody(ParForBody body)`
`static String`
ProgramConverter.`serializeParForBody(ParForBody body, HashMap<String,byte[]> clsMap)`